package com.trade.client.advocacypage.constant;

/**
 * @description: 标准设定常量
 * @Author: wanglang
 * @Date: 2024/6/11
 * @Version: 1.0
 */
public enum StandardSettingEnum {
    CR_FIRST("1", "国家地区第一梯队"),
    CR_SECOND("2", "国家地区第二梯队"),
    CR_THIRD("3", "国家地区第三梯队"),
    CR_FOURTH("4", "国家地区第四梯队"),
    CR_FIVE("5", "国家地区第五梯队"),
    
    OW_YES("1", "买方有官方网站"),
    OW_NO("2", "买方有官方网站"),

    ET_PRODUCE("1", "生产型企业"),
    ET_TRADE("2", "贸易型企业"),
    ET_SERVICE("3", "服务型企业"),
    ET_OTHER ("4", "其他型企业"),

    CT_SIX_MONTH_BELOW("1", "与买方合作的时间-6个月以下"),
    CT_SIXMONTH_TO_ONEYEAR("2", "与买方合作的时间-6个月-1年"),
    CT_ONE_TO_THREE_YEAR("3", "与买方合作的时间-1年-3年"),
    CT_THREE_YEAR_OVER("4", "与买方合作的时间-3年及以上"),

    MPP_NO("1", "买方最长回款账期-无回款"),
    MPP_THIRTY_NINETY_DAY("2", "买方最长回款账期-30天—90天"),
    MPP_NINETY_ONEHUNDREDTWENTY_DAY("3", "买方最长回款账期-90天—120天"),
    MPP_ONEHUNDREDTWENTY_ONEHUNDREDEIGHTY_DAY("4", "买方最长回款账期-120天—180天"),
    MPP_ONEHUNDREDEIGHTY_DAY_OVER("5", "买方最长回款账期-180天及以上")
    ;

    private final String code;
    private final String info;

    StandardSettingEnum(String code, String info){
        this.code = code;
        this.info = info;
    }
     
    public static StandardSettingEnum getStandardSetting(String code){
        
        for(StandardSettingEnum c : StandardSettingEnum.values()){
            if(c.getCode().equals(code)){
                return c;
            }
        }
        return StandardSettingEnum.CR_FIVE;
    }
    
    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
